package com.stupidbeauty.comgooglewidevinesoftwaredrmremover;

import android.content.Intent;
import android.support.v4.content.LocalBroadcastManager;


/**
* 库的控制器。
*/
public class BlueController
{

	private static BlueController mSharedInstance; //!<The shared instance.

        /**
        * @brief 分享文字内容。
        */
        public static void shareText(final String textString)
        {

            LocalBroadcastManager lclBrdcstMngr=LocalBroadcastManager.getInstance(BlueApplication.getAppContext()); //Get the local broadcast manger instance.
            Intent intent=new Intent(Constants.NativeMessage.SHARE_TEXT); //Create the intent.
            intent.putExtra(Constants.NativeMessage.SHARE_TEXT_KEY,textString); //put extra.
            lclBrdcstMngr.sendBroadcast(intent); //发送广播。



          return ;
        }
        
          /**
  * @brief 查询应用程序版本号。
  */
  public static String queryVersion()
  {

    System.out.println("queryVersion got invoked"); //Debug.

    String result=""; //Result.

            LocalBroadcastManager lclBrdcstMngr=LocalBroadcastManager.getInstance(BlueApplication.getAppContext()); //Get the local broadcast manger instance.
            Intent intent=new Intent(Constants.NativeMessage.QUERY_VERSION); //Create the intent.

            lclBrdcstMngr.sendBroadcast(intent); //发送广播。

    return result;
  } //public static String queryVersion()





	public static BlueController sharedInstance() 
	{
		
		if (mSharedInstance==null)
		{
			mSharedInstance=new BlueController();
		} //if (mSharedInstance==null)
	
		return mSharedInstance;
	}
	
	private BlueController()
	{
		
	} //private BlueController()

	/**
	 * Notify text string.
	 * @param textString The text string to notify.
	 */
	public void notifyStatusText(String textString) 
	{
		LocalBroadcastManager lclBrdcstMngr=LocalBroadcastManager.getInstance(BlueApplication.getAppContext()); //Get the local broadcast manger instance.
		Intent intent=new Intent(Constants.NativeMessage.STATUS_TEXT_CHANGE); //Create the intent.
		intent.putExtra(Constants.NativeMessage.STATUS_TEXT_KEY,textString); //put extra.
		lclBrdcstMngr.sendBroadcast(intent); //发送广播。
	
		return;
	} //public void notifyStatusText(String textString)
	
  /**
   * 报告版本号。
   * @param textString 要报告的版本号。
   */
  public void reportVersion(String textString) 
  {
    OrControllerBridge.reportVersion(textString); //报告版本号。
  
  
    return;
  } //public void notifyStatusText(String textString)
  
} //public class BlueController
