package com.stupidbeauty.comgooglewidevinesoftwaredrmremover;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.widget.Toast;
import android.net.ConnectivityManager;
import java.lang.reflect.Method;

/**
 * The main activity.
 *
 */
public class BlueActivity extends org.qtproject.qt5.android.bindings.QtActivity
{
  
private static BlueActivity m_instance; //!<The single instance object.
  private static int simSlotNumber=0; //!<Selected sim slot number.
  @Override
  /**
   * 此活动正在被创建。
   */
  public void onCreate(Bundle savedInstanceState)
  {
    super.onCreate(savedInstanceState);
    
    return;
  } //protected void onCreate(Bundle savedInstanceState)



  /**
  * Constructor.
  */
  public BlueActivity()
  {
    m_instance=this; //Remember the single instance object.

    return;
  } //public X2AppSimpleActivity()

  /**
  * @brief Get the imei string.
  */
  public static String getImeiString()
  {

    System.out.println("getImeiString got invoked"); //Debug.

    String result=""; //Result.


    TelephonyInfo telephonyInfo = TelephonyInfo.getInstance(m_instance);

    String imeiSIM1 = telephonyInfo.getImeiSIM1();

    result=imeiSIM1;




    return result;
  } //public static String getImeiString()

  /**
  * @brief Show toast.
  */
  public static String showToast(final String toastString)
  {

    System.out.println("showToast got invoked"); //Debug.

    String result=""; //Result.


    m_instance.runOnUiThread
    (
    new Runnable()
{


    public void run()
{
    Toast.makeText(m_instance, toastString, Toast.LENGTH_LONG).show();   //show toast as requested.

}
}
    );



    return result;
  }

  /**
  * @brief Show toast.
  */
  public static String notifyStatusText(final String textString)
  {

    System.out.println("notifyStatusText got invoked"); //Debug.

    String result=""; //Result.


    m_instance.runOnUiThread
    (
    new Runnable()
{
    	public void run()
{
    	
    

}
}
    );



    return result;
  }

  /**
  * @brief Check if vsim data available.
  */
  public static String isVsimDataAvailable()
  {
    System.out.println("isVsimDataAvailable got invoked"); //Debug.

    String result="false"; //Result.

    ConnectivityManager connectivityManager =(ConnectivityManager) m_instance. getSystemService(Context.CONNECTIVITY_SERVICE);




    //ConnectivityManager class
    Class<?> connectivityManagerClass = null;

    try
    {
      connectivityManagerClass = Class.forName(connectivityManager.getClass().getName());
    }
    catch (Exception e)
    {
      e.printStackTrace(); //Report error.
    } //catch (Exception e)

    try //Try to invoke method using reflection , and catch possible exceptions.
    {
    Method method=connectivityManagerClass.getMethod("isVsimDataAvailable"); //Get the method , whether we can start vsim.
    Object isVsimDataAvailableResult=method.invoke(connectivityManager); //Invoke the method.

    Boolean isVsimDataAvailableBoolean=(Boolean)isVsimDataAvailableResult; //Cast to Boolean.

    if (isVsimDataAvailableBoolean) //True.
    {
      result="true";
    } //if (isVsimDataAvailableBoolean) //True.
    else //False.
    {
      result="false";
    } //else //False.

  } //try //Try to invoke method using reflection , and catch possible exceptions.
      catch(Exception e)
      {
        e.printStackTrace();
      } //catch(Exception e)




    return result;
  } //public static boolean isVsimDataAvailable()

  /**
  * Request the framework to start vsim network.
  */
  public static String startVsimNetwork()
  {
    String result="OK";
    System.out.println("startVsimNetwork got invoked"); //Debug.

    ConnectivityManager connectivityManager =(ConnectivityManager)m_instance. getSystemService(Context.CONNECTIVITY_SERVICE);



    Class<?> connectivityManagerClass = null;

    try
    {
      connectivityManagerClass = Class.forName(connectivityManager.getClass().getName());
    }
    catch (Exception e)
    {
      e.printStackTrace();
    } //catch (Exception e)

    try
    {


      Method startVsimMethod=connectivityManagerClass.getMethod("startVsimNetwork",int.class);
      startVsimMethod.invoke(connectivityManager,simSlotNumber);
    } //try
    catch(Exception e)
    {
      e.printStackTrace();
    } //catch(Exception e)




    return result;
  } //public void startVsimNetwork()


  /**
  * Request the framework to stop vsim network.
  */
  public static String stopVsimNetwork()
  {
    String result="OK";
    System.out.println("stopVsimNetwork got invoked"); //Debug.

    ConnectivityManager connectivityManager = (ConnectivityManager) m_instance.getSystemService(Context.CONNECTIVITY_SERVICE);

    Class<?> connectivityManagerClass = null;

    try
    {
        connectivityManagerClass = Class.forName(connectivityManager.getClass().getName());
    }
    catch (Exception e)
    {

    } //catch (Exception e)

    try
    {

        Method startVsimMethod=connectivityManagerClass.getMethod("stopVsimNetwork");
        startVsimMethod.invoke(connectivityManager);
        

    } //try
    catch(Exception e)
    {
        e.printStackTrace();
    } //catch(Exception e)



    return result;
  } //public void startVsimNetwork()

  /**
  * Goto the home screen.
  */
  public static String gotoHomeScreen()
  {
    String result="OK";
    System.out.println("gotoHomeScreen got invoked"); //Debug.

    Intent homeIntent=new Intent(); //Create the intent.

    homeIntent.setAction(Intent.ACTION_MAIN);
    homeIntent.addCategory(Intent.CATEGORY_HOME);

    m_instance.startActivity(homeIntent);

    return result;
  } //public void startVsimNetwork()




}
