package com.stupidbeauty.comgooglewidevinesoftwaredrmremover;

import java.lang.reflect.Method;

import android.content.Context;
import android.net.ConnectivityManager;


/**
 * The main activity.
 *
 */
public class OrControllerBridge
{
  private static OrControllerBridge m_instance; //!<The single instance object.
	private static int simSlotNumber=0; //!<Selected sim slot number.

	/**
	 * Constructor.
	 */
  public OrControllerBridge()
	{
		m_instance=this; //Remember the single instance object.

		return;
	} //public X2AppSimpleActivity()

  /**
  * @brief Show toast.
  */
  public static String notifyStatusText(final String textString)
  {

    System.out.println("notifyStatusText got invoked"); //Debug.

    String result=""; //Result.

    BlueController controller=BlueController.sharedInstance();
    
    controller.notifyStatusText(textString); //Notify the status text.
   


    return result;
  }

  /**
  * @brief 分享文字内容。
  */
  public static String shareText(final String textString)
  {

    System.out.println("shareText got invoked"); //Debug.

    String result=""; //Result.

    BlueController controller=BlueController.sharedInstance();

    controller.shareText(textString); //Notify the status text.



    return result;
  }

  /**
  * @brief 查询应用程序版本号。
  */
  public static String queryVersion()
  {

    System.out.println("queryVersion got invoked"); //Debug.

    String result=""; //Result.

    BlueController controller=BlueController.sharedInstance();

    controller.queryVersion(); //查询版本号。

    return result;
  } //public static String queryVersion()


  /**
   * Request to start virtual sim.
   */
public static void requestStartVirtualSim() 
{
	nativeStartVirtualSim(0);

	return;
} //public static void requestStartVirtualSim()

	private static native void nativeStartVirtualSim(int dumbParameter);

	/**
	 * Request to stop virtual sim.
	 */
	public static void requestStopVirtualSim() 
	{
	
		nativeStopVirtualSim(0);
		
		return;
		
	}
	
	  /**
   * 报告版本号。
   * @param textString 要报告的版本号。
   */
  public static void reportVersion(String textString) 
  {
    nativeReportVersion(textString); //报告版本号。
  
  
    return;
  } //public void notifyStatusText(String textString)
  
  private static native void nativeReportVersion(String textString) ;

	private static native void nativeStopVirtualSim(int dumbParameter) ;
}
