#include "SbPreCompile.h"

#include "BrokenPrinter.h"

/*!
 * \brief main 主函数。
 * \param argc 参数个数。
 * \param argv 参数列表。
 * \return 运行结果。
 */
int main(int argc, char *argv[])
{
    QApplication a(argc, argv);

    QTranslator XyTrns;

//    QLocale::setDefault(QLocale(QLocale::C)); //Debug.
//    QLocale::setDefault(QLocale(QLocale::English,QLocale::SouthAfrica)); //Debug.
    QLocale::setDefault(QLocale::system()); //将默认区域设置为系统区域。

    QLocale locale;

    qDebug() << __FILE__ << __LINE__ << __func__ << QObject::tr("locale name:") << locale.name(); //Debug.

    XyTrns.load(":/OptimizeRepair_"+locale.name()); //载入翻译文件。

    a.installTranslator (&XyTrns); //安装翻译文件。


    BrokenPrinter w;

    w.show();

    return a.exec();
} //int main(int argc, char *argv[])
